class AddCondition extends Phaser.Scene {
    constructor(game) {
        super('addNode');
        this.game = game;
    }

    create() {
        this.add.rectangle(0, 0, WIDTH_WINDOW, HEIGHT_WINDOW, 0x000000).setOrigin(0, 0).setAlpha(0.5);
        console.log("CONDITION");
        this.createButton();
    }


    createButton() {
        let x = WIDTH_WINDOW / 2;
        let y = HEIGHT_WINDOW - 100;
        this.cancelBtn = this.add.image(x, y, 'cancel').setOrigin(0.5, 0.5).setInteractive();
        this.cancelBtn.on('pointerover', () => this.cancelBtn.setFrame(1));
        this.cancelBtn.on('pointerout', () => this.cancelBtn.setFrame(0));
        this.cancelBtn.on('pointerdown', () => this.cancel());
    }

    cancel() {
        this.scene.resume('Game');
        this.scene.stop('addNode');
        this.game.scene.remove('addNode');
    }
}